Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001695TestLinkTest Executepublic2008-09-03 18:572008-12-08 20:03
Reporterdvenugopal 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 2 
Fixed in Version1.8 RC 1 
Summary0001695: Importing Results
Description

Hi:

I am using Testlink 1.8 beta 2. I have created a Keyword called "Automated" to some test cases and have assigned this to a tester. Now when the tester logs in he gets to execute test cases list, he gets "Import XML Testcases" button to upload all the test results from his automation to testlink. I upload the below mention xml file. I get an error while i am doing so.

<?xml version="1.0" encoding="UTF-8"?>
<results>
  <testcase id="GPSTT-521">
    <result>p</result>
    <notes>functionality works great </notes>
  </testcase>
  <testcase id="GPSTT-522">
    <result>p</result>
    <notes>functionality works great </notes>
  </testcase>
  <testcase id="GPSTT-523">
    <result>p</result>
    <notes>functionality works great </notes>
  </testcase>
  <testcase id="GPSTT-524">
    <result>p</result>
    <notes>functionality works great </notes>
  </testcase>
  <testcase id="GPSTT-525">
    <result>p</result>
    <notes>functionality works great </notes>
  </testcase>
  <testcase id="GPSTT-526">
    <result>p</result>
    <notes>functionality works great </notes>
  </testcase>
  <testcase id="GPSTT-527">
    <result>p</result>
    <notes>functionality works great </notes>
  </testcase>
</results>


Regards
Venu
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon error_resultsimport.txt [^] (6,983 bytes) 2008-09-03 18:57 [Show Content]
xml file icon results.xml [^] (838 bytes) 2008-09-03 18:57

- Relationships

-  Notes
(0004040)
dvenugopal (reporter)
2008-09-04 20:01

I think i found out the issue. The issues is :

The id passed in results xml doesnot have the prefix. If you add the prefix then the below function in testplan.class.php fails as it is always searching for Numeric value :
if (!is_null($tcase_id) )

    {

       if( is_array($tcase_id) )

       {
            $tc_id_filter = " AND NHA.parent_id IN (" . implode(',',$tcase_id) . ")";

       }

       else if ($tcase_id > 0 )

       {
              $tc_id_filter = " AND NHA.parent_id = {$tcase_id} ";

       }

    }
(0004047)
fman (administrator)
2008-09-08 15:27

we are writting a fix, to allow you to use id (internal id) or
external_id.

With code as is today you MUST use ONLY internal ID

- Issue History
Date Modified Username Field Change
2008-09-03 18:57 dvenugopal New Issue
2008-09-03 18:57 dvenugopal File Added: error_resultsimport.txt
2008-09-03 18:57 dvenugopal File Added: results.xml
2008-09-04 20:01 dvenugopal Note Added: 0004040
2008-09-08 15:27 fman Note Added: 0004047
2008-09-08 15:27 fman Status new => assigned
2008-09-08 15:27 fman Assigned To => fman
2008-10-23 16:29 fman Status assigned => resolved
2008-10-23 16:29 fman Fixed in Version => next development 1.8 RC 1
2008-10-23 16:29 fman Resolution open => fixed
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker